Subject: Mustang PSA
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 10 Apr 2001 07:38:00 -0700 (PDT)

Per our conversation, please find attached below a copy of the PSA with 
Mustang (PSA 19-96) as well as our Affiliate Tasking Letter form that we use.

The PSA expires shortly, but I am working with Sue Perkins at Mustang to 
update the rate schedule and extend the term for an additional two years, so 
there will not be a problem with issuing a Tasking Letter under this 
Agreement.

If you have any questions or if I may be of further assistance, please feel 
free to contact me.  Please send me a copy of the Tasking Letter once it is 
fully executed so that I may put a copy in our contract file.

Thanks
Renee Alfaro
Phone: 713-646-7281
Fax: 713-646-6158
Email: [email-masked]